%define build_with_python 1

%define gedit_major	0
%define libgedit	%mklibname %{name} %{gedit_major}

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Small but powerful text editor for GNOME
Name:		gedit
Version:	3.4.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Editors 
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL:		http://www.gnome.org/projects/gedit/
BuildRequires:	pkgconfig(enchant) >= 1.2.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.25.5
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gnome-doc-utils) >= 0.9.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.3
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.3.16
BuildRequires:	pkgconfig(gtk-doc) >= 1.0
BuildRequires:	pkgconfig(gtksourceview-3.0) >= 3.0.0
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(iso-codes) >= 0.35
BuildRequires:	pkgconfig(libpeas-1.0) >= 0.7.3
BuildRequires:	pkgconfig(libpeas-gtk-1.0) >= 0.7.3
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxml-2.0) >= 2.5.0
BuildRequires:	pkgconfig(sm) >= 1.0.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	dbus-glib-devel
BuildRequires:	libattr-devel
BuildRequires:	scrollkeeper
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	pkgconfig(zeitgeist-1.0) >= 0.3.2
%if %{build_with_python}
BuildRequires:	pkgconfig(pygobject-3.0) >= 2.90.2
%endif

BuildRequires:	desktop-file-utils

# for autoreconf:
BuildRequires:	intltool
BuildRequires:	gtk-doc
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	yelp-tools

%description
gEdit is a small but powerful text editor designed expressly
for GNOME.

It includes such features as split-screen mode, a plugin
API, which allows gEdit to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

%package -n %{libgedit}
Group:		System/Libraries
Summary:	Library for %{name}

%description -n %{libgedit}
Library for %{name}.

%package zeitgeist
Summary:	Zeitgeist plugin for gedit
Group:		Editors
Requires:	%{name} = %{version}-%{release}

%description zeitgeist
This packages brings the Zeitgeist dataprovider - a plugin that logs
access and leave event for documents used with gedit.

%package devel
Group:		Development/C
Summary:	Headers for writing gEdit plugins
Requires:	%{libgedit} = %{version}-%{release}

%description devel
gEdit is a small but powerful text editor designed expressly
for GNOME.

It includes such features as split-screen mode, a plugin
API, which allows gEdit to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

Install this if you want to build plugins that use gEdit's API.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--enable-gtk-doc \
	--enable-introspection=yes \
	--disable-updater \
	--enable-gvfs-metadata \
%if %{build_with_python}
	--enable-python
%else
	--disable-python
%endif

%make V=1

%install
%makeinstall_std

#cleanup
rm -rf %buildroot/var

%find_lang %{name} --with-gnome --with-help

# remove .la files
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files -f %{name}.lang
%doc README AUTHORS NEWS MAINTAINERS
%{_datadir}/gedit
%{_datadir}/applications/gedit.desktop
%if %{build_with_python}
%{python_sitearch}/gi/overrides/Gedit.*
%endif
%{_libdir}/gedit
%exclude %{_libdir}/gedit/plugins/zeitgeist.plugin
%exclude %{_libdir}/gedit/plugins/libzeitgeistplugin.so
%{_bindir}/*
%{_datadir}/GConf/gsettings/gedit.*
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.*
%{_datadir}/dbus-1/services/org.gnome.gedit.service
%{_mandir}/man1/gedit.1*

%files -n %{libgedit}
%{_libdir}/libgedit-private.so.%{gedit_major}*

%files zeitgeist
%{_libdir}/gedit/plugins/zeitgeist.plugin
%{_libdir}/gedit/plugins/libzeitgeistplugin.so

%files devel
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/libgedit-private.so
%{_includedir}/*
%{_libdir}/pkgconfig/*


%changelog

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231099
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226843
- new version 3.4.0

* Tue Mar 20 2012 ovitters <ovitters> 3.3.8-1.mga2
+ Revision: 225072
- new version 3.3.8

* Wed Mar 07 2012 fwang <fwang> 3.3.7-1.mga2
+ Revision: 220706
- new version 3.3.7

* Tue Mar 06 2012 fwang <fwang> 3.3.6-1.mga2
+ Revision: 220301
- drop merge patch
- new version 3.3.6

* Fri Mar 02 2012 ovitters <ovitters> 3.3.5-1.mga2
+ Revision: 216938
- update file list
- update experimental patch
- update buildrequires
- add experimental patch to fix linking problem
- be verbose while compiling
- update buildrequires
- new version 3.3.5
- update buildrequires
- new version

  + fwang <fwang>
    - new version 3.3.3

* Sun Jan 08 2012 wally <wally> 3.3.2-3.mga2
+ Revision: 193360
- yet another rebuild due to missing signature

* Sun Jan 08 2012 wally <wally> 3.3.2-2.mga2
+ Revision: 193329
- rebuild due to missing signature

* Sun Jan 08 2012 wally <wally> 3.3.2-1.mga2
+ Revision: 193311
- new version 3.3.2
- clean .spec a bit

* Sat Dec 17 2011 fwang <fwang> 3.3.1-1.mga2
+ Revision: 183062
- new version 3.3.1

* Fri Dec 16 2011 dmorgan <dmorgan> 3.2.5-3.mga2
+ Revision: 182536
- Enable zeitgeist plugin

* Fri Dec 16 2011 fwang <fwang> 3.2.5-2.mga2
+ Revision: 182531
- aspell and pyorbit is of no use now

* Fri Dec 09 2011 wally <wally> 3.2.5-1.mga2
+ Revision: 179611
- new version 3.2.5

* Thu Dec 08 2011 wally <wally> 3.2.4-1.mga2
+ Revision: 178989
- new version 3.2.4

* Wed Nov 16 2011 wally <wally> 3.2.3-2.mga2
+ Revision: 168104
- new version 3.2.3

* Sun Nov 13 2011 wally <wally> 3.2.2-2.mga2
+ Revision: 167188
- fix devel pkg deps

* Tue Nov 01 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 161082
- new version 3.2.2

* Sun Oct 16 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 155572
- new version 3.2.1

* Mon Sep 26 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 148945
- new version 3.2.0

* Mon Sep 19 2011 wally <wally> 3.1.6-1.mga2
+ Revision: 145725
- new version 3.1.6

* Tue Sep 06 2011 wally <wally> 3.1.5-1.mga2
+ Revision: 139561
- new version 3.1.5
- add major version check to file list

  + fwang <fwang>
    - update file list
    - enable python support
    - update file list
    - update file list
    - disable undefined for libprivate.so
    - new version 3.1.4
    - add upstream patch to fix desktop file
    - new version 3.1.3

  + cjw <cjw>
    - rebuild for automatic typelib dependencies

* Wed Jul 06 2011 wally <wally> 3.1.2-1.mga2
+ Revision: 119541
- new version 3.1.2
- fix file list
- clean .spec a bit

* Fri Jun 24 2011 mikala <mikala> 3.0.5-1.mga2
+ Revision: 113199
- Fix files list

  + pterjan <pterjan>
    - Update to 3.0.5

* Thu Feb 17 2011 blino <blino> 2.30.4-3.mga1
+ Revision: 53352
- buildrequire libsm-devel
- remove old ldscriptlets, conflicts and mkrel stuff
- imported package gedit


* Tue Nov 02 2010 Funda Wang <fwang@mandriva.org> 2.30.4-2mdv2011.0
+ Revision: 592109
- rebuild for py2.7

  + Götz Waschk <waschk@mandriva.org>
    - fix release for backports

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.30.4-1mdv2011.0
+ Revision: 581741
- update to new version 2.30.4

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.30.3-1mdv2011.0
+ Revision: 550909
- update to new version 2.30.3

* Tue Apr 27 2010 Christophe Fergeau <cfergeau@mandriva.com> 2.30.2-2mdv2010.1
+ Revision: 539613
- rebuild so that shared libraries are properly stripped again

* Sun Apr 18 2010 Götz Waschk <waschk@mandriva.org> 2.30.2-1mdv2010.1
+ Revision: 536513
- update to new version 2.30.2

* Sun Apr 18 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 536431
- update to new version 2.30.1

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528916
- update to new version 2.30.0

* Mon Mar 15 2010 Götz Waschk <waschk@mandriva.org> 2.29.9-1mdv2010.1
+ Revision: 519126
- update to new version 2.29.9

* Mon Mar 01 2010 Götz Waschk <waschk@mandriva.org> 2.29.8-1mdv2010.1
+ Revision: 513173
- update to new version 2.29.8

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 2.29.7-1mdv2010.1
+ Revision: 509991
- new version
- bump python-gtksourceview dep

* Wed Feb 10 2010 Götz Waschk <waschk@mandriva.org> 2.29.6-1mdv2010.1
+ Revision: 503760
- new version
- drop patch

* Tue Jan 26 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-1mdv2010.1
+ Revision: 496491
- new version
- rediff patch

  + Sandro Cazzaniga <kharec@mandriva.org>
    - fix spaces in spec

* Tue Jan 12 2010 Götz Waschk <waschk@mandriva.org> 2.29.4-1mdv2010.1
+ Revision: 490154
- new version
- bump gtksourceview dep

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.29.3-1mdv2010.1
+ Revision: 475606
- update to new version 2.29.3

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.29.2-1mdv2010.1
+ Revision: 475433
- update to new version 2.29.2

* Wed Nov 11 2009 Götz Waschk <waschk@mandriva.org> 2.28.2-1mdv2010.1
+ Revision: 464945
- update to new version 2.28.2

* Tue Nov 10 2009 Götz Waschk <waschk@mandriva.org> 2.28.1-1mdv2010.1
+ Revision: 463923
- update to new version 2.28.1
- revert accidental update
- update to new version 2.29.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446707
- update to new version 2.28.0

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.6-1mdv2010.0
+ Revision: 437469
- update to new version 2.27.6

* Mon Aug 24 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 420626
- update to new version 2.27.5

* Mon Aug 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 414448
- update to new version 2.27.4

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 401404
- update to new version 2.27.3

* Sun Jun 21 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 387915
- update to new version 2.27.2

* Tue May 26 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 379943
- new version
- update file list

* Sun May 17 2009 Götz Waschk <waschk@mandriva.org> 2.26.2-1mdv2010.0
+ Revision: 376660
- update to new version 2.26.2

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 366965
- update to new version 2.26.1

* Sun Mar 15 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355387
- update to new version 2.26.0

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.8-1mdv2009.1
+ Revision: 347355
- update to new version 2.25.8

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 2.25.7-1mdv2009.1
+ Revision: 341260
- update to new version 2.25.7

* Tue Feb 03 2009 Götz Waschk <waschk@mandriva.org> 2.25.6-1mdv2009.1
+ Revision: 336733
- update to new version 2.25.6

* Mon Jan 19 2009 Götz Waschk <waschk@mandriva.org> 2.25.5-1mdv2009.1
+ Revision: 331395
- update to new version 2.25.5

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 2.25.4-1mdv2009.1
+ Revision: 325361
- update to new version 2.25.4

* Tue Dec 30 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 321308
- new version
- drop patch 1

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 2.25.2-3mdv2009.1
+ Revision: 320326
- add upstream patch to fix string format security

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 2.25.2-2mdv2009.1
+ Revision: 319922
- disable format checking for now
- fix str fmt
- rebuild for new python

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 309056
- update to new version 2.25.2

* Sun Nov 30 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 308604
- new version
- update file list

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 2.24.2-1mdv2009.1
+ Revision: 306199
- update to new version 2.24.2

* Mon Nov 03 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 299356
- update to new version 2.24.1

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286468
- new version

* Tue Sep 16 2008 Götz Waschk <waschk@mandriva.org> 2.23.93-1mdv2009.0
+ Revision: 285350
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282764
- new version
- drop patch 1

* Thu Sep 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-3mdv2009.0
+ Revision: 280289
- fix the patch

* Wed Sep 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-2mdv2009.0
+ Revision: 279979
- patch to fix crash (bug #43461)

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278373
- new version
- drop patch 1

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-4mdv2009.0
+ Revision: 274352
- remove glade dep as well

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-3mdv2009.0
+ Revision: 274303
- remove bad dep on libgnomeui

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-2mdv2009.0
+ Revision: 274282
- update build deps to fix automatic pkgconfig deps

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 274131
- new version

* Thu Aug 14 2008 Götz Waschk <waschk@mandriva.org> 2.23.3-1mdv2009.0
+ Revision: 271736
- new version
- update deps

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.1-1mdv2009.0
+ Revision: 231028
- fix buildrequires
- new version
- update license

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue May 27 2008 Götz Waschk <waschk@mandriva.org> 2.22.3-1mdv2009.0
+ Revision: 211721
- new version

* Tue May 27 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 211688
- new version
- fix buildrequires

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192493
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183597
- new version
- bump deps

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 174609
- new version

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.21.1-2mdv2008.1
+ Revision: 170859
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Fri Jan 25 2008 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 157855
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 27 2007 Götz Waschk <waschk@mandriva.org> 2.20.4-1mdv2008.1
+ Revision: 113465
- new version

* Thu Oct 18 2007 Götz Waschk <waschk@mandriva.org> 2.20.3-1mdv2008.1
+ Revision: 99989
- new version

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2.20.2-1mdv2008.1
+ Revision: 98669
- new version

* Thu Sep 27 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.0
+ Revision: 93227
- new version

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89460
- new version
- bump deps

* Tue Sep 11 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.92-2mdv2008.0
+ Revision: 84438
- add standard icons for non XDG WM
- Remove old menus
- Remove patches 1 (replaced by patch0),  4 (no longer needed)
- Patch0 (Antoine Pitrou): fix file encoding detection for better compatibility with local encoded files (Mdv bug #20277)

* Tue Sep 11 2007 Götz Waschk <waschk@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 84308
- new version

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.0
+ Revision: 72653
- new version
- bump deps

* Thu Aug 16 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 64133
- new version

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 2.19.3-1mdv2008.0
+ Revision: 57570
- new version
- bump deps
- drop patch 0
- rediff patch 4

* Sun Jul 08 2007 Götz Waschk <waschk@mandriva.org> 2.19.2-2mdv2008.0
+ Revision: 49776
- fix pkgconfig

* Wed Jul 04 2007 Götz Waschk <waschk@mandriva.org> 2.19.2-1mdv2008.0
+ Revision: 48054
- new version
- adjust deps

* Mon Jun 25 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-1mdv2008.0
+ Revision: 44057
- new version
- depend on pygtksourceview

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 14379
- new version


* Sun Mar 11 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141288
- new version
- update file list

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.6-1mdv2007.1
+ Revision: 126136
- new version
- new version

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 2.17.4-1mdv2007.1
+ Revision: 112240
- new version
- upate file list

  + Frederic Crozat <fcrozat@mandriva.com>
    - Fix url
    - Fix buildrequires

* Wed Jan 10 2007 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 106937
- disable parallel build
- new version
- rediff patch 1

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 99162
- new version
- fix buildrequires

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-2mdv2007.1
+ Revision: 90785
- fix buildrequires
- fix buildrequires
- new version
- update file list

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-2mdv2007.1
+ Revision: 88875
- rebuild

* Sun Oct 29 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 73671
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-3mdv2007.1
+ Revision: 63822
- rebuild
- unpack patches
- Import gedit

* Wed Oct 04 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Wed Sep 06 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- bump deps
- New release 2.16.0

* Mon Aug 28 2006 Götz Waschk <waschk@mandriva.org> 2.15.9-1mdv2007.0
- New release 2.15.9

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 2.15.8-1mdv2007.0
- New release 2.15.8

* Tue Aug 15 2006 Götz Waschk <waschk@mandriva.org> 2.15.7-1mdv2007.0
- New release 2.15.7

* Wed Aug 09 2006 Gtz Waschk <waschk@mandriva.org> 2.15.6-1mdv2007.0
- fix buildrequires
- New release 2.15.6

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.5-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Gtz Waschk <waschk@mandriva.org> 2.15.5-1mdv2007.0
- enable gtk-doc
- New release 2.15.5

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- new macros
- xdg menu
- New release 2.15.4

* Wed Jun 14 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-1mdv2007.0
- update file list
- New release 2.15.3

* Thu Jun 08 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-2mdv2007.0
- Add dependency on pyorbit for plugin (mdv bug #22231)

* Wed Jun 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-1mdv2007.0
- Release 2.15.2

* Wed May 31 2006 Götz Waschk <waschk@mandriva.org> 2.14.3-1mdv2007.0
- New release 2.14.3

* Sat Apr 22 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-2mdk
- fix buildrequires

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-1mdk
- Release 2.14.2
- Remove patch2 (no longer needed)
- Update patch4 with fedora latest version

* Wed Feb 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-4mdk
- Remove patches 3 & 6 (merged upstream, reported by gedit author)
- Fix prereq

* Thu Nov 24 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-3mdk
- Rebuild to get debug package

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 2.12.1-2mdk
- rebuild against openssl-0.9.8

* Fri Oct 14 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1

* Tue Aug 09 2005 Götz Waschk <waschk@mandriva.org> 2.10.5-1mdk
- update file list
- New release 2.10.5

* Sat Aug 06 2005 Götz Waschk <waschk@mandriva.org> 2.10.4-1mdk
- New release 2.10.4

* Fri Jun 10 2005 Gtz Waschk <waschk@mandriva.org> 2.10.3-1mdk
- New release 2.10.3

* Thu Apr 21 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.10.2-2mdk
- package NEWS in doc since it's more usefull than full ChangeLog

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-1mdk 
- Release 2.10.2 (based on Gtz Waschk package)
- Remove patch5 (no longer needed)
- Update patch4

* Sun Feb 13 2005 Götz Waschk <waschk@linux-mandrake.com> 2.8.3-1mdk
- New release 2.8.3

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-2mdk 
- Rebuild with latest howl

* Mon Dec 06 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- New release 2.8.2

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- fix omf file listing
- New release 2.8.1
- Regenerate patch1
- Patch3 (Fedora): allow escape key to close Find and Replace dialogs 
- Patch4 (Fedora): make file selector remember last window size and directory
- Patch5 (Fedora): use pango font names, not gnome-print font names
- Patch6 (Fedora): enable spellchecker plugin by default

* Fri Sep 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-4mdk
- Use upstream icons (Mdk bug #10834)

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.6.2-3mdk
- Rebuild with menu

* Thu Aug 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-2mdk
- remove gedit-devel provides from main package

* Sun Jun 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- drop patch 3
- New release 2.6.2

* Tue Jun 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-3mdk
- remove generic docs
- reenable libtoolize
- split out devel package 
  http://archives.mandrakelinux.com/expert/2004-06/msg01002.php

* Wed May 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk
- Patch3 (CVS): don't output warnings when icon theme isn't found (Mdk bug #9492)

* Tue May 04 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- New release 2.6.1

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-3mdk
- Really fix buildrequires (thanks titi)

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk
- Fix BuildRequires

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)
- Remove patch0 (merged upstream)

